(Thanks for sending a pull request! Please make sure you click the link above to view the [contribution guidelines](CONTRIBUTING.md), then fill out the blanks below.)

---

**What does this implement/fix? Explain your changes.**

...


**Does this close any currently open issues?**

...

**Any relevant logs, error output, etc?**

...

**Any other comments?**

...

**Where has this been tested?**
 - **Device:** [e.g. iPhone6]
 - **OS:** [e.g. iOS8.1]
 - **Browser:** [e.g. stock browser, safari]
 - **Version:** [e.g. 22]
 